---
title: Range()
slug: Web/API/Range/Range
tags:
  - API
  - Constructor
  - DOM
  - DOM Reference
  - Experimental
  - Range
  - Reference
---
<div>{{ APIRef("DOM") }} {{seeCompatTable}}</div>

<p>The <code><strong>Range()</strong></code> constructor returns a newly created {{domxref("Range")}} object whose start and end is the global {{domxref("Document")}} object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>range</em> = new Range()</pre>

<h2 id="Example">Example</h2>

<p>In this example we create a new range with the <code>Range()</code> constructor, and set its beginning and end positions using the {{domxref("Range.setStartBefore()")}} and {{domxref("Range.setEndAfter()")}} methods. We then select the range using {{domxref("window.getSelection()")}} and {{domxref("Selection.addRange()")}}.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html">&lt;p&gt;First paragraph.&lt;/p&gt;
&lt;p&gt;Second paragraph.&lt;/p&gt;
&lt;p&gt;Third paragraph.&lt;/p&gt;
&lt;p&gt;Fourth paragraph.&lt;/p&gt;</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js">const paragraphs = document.querySelectorAll('p');

// Create new range
const range = new Range();

// Start range at second paragraph
range.setStartBefore(paragraphs[1]);

// End range at third paragraph
range.setEndAfter(paragraphs[2]);

// Get window selection
const selection = window.getSelection();

// Add range to window selection
selection.addRange(range);</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-range-range', 'Range.Range()')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Range.Range")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/DOM/DOM_Reference">The DOM interfaces index</a></li>
 <li>{{domxref("Document.createRange()")}}</li>
</ul>
